#include <iostream>
#include <string>
using namespace std;
int main()
{
    long long n,t=-1,t1=0,y;
    cin>>n;
    int a[n];
    int b[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
        b[i]=a[i];
    }
    long maks;
    for(int i=0;i<n-1;i++)
    {
        maks=i;
        for(int j=i+1;j<n;j++)
        {
            if(b[maks]<b[j])
            {
                maks=j;
            }
        }
        swap(b[maks],b[i]);
    }
    for(int i=0;i<n;i++)
    {
        if (b[i]!=a[i])
        {
          t=b[i];
          t1=i;
          break;
        }
    }
    long long s=0;
    for(int i=0;i<n;i++)
    {
        if (a[i]==b[i])
        {
            s=s+1;
        }
    }
    if(a[0]!=a[1] or s!=n)
    {
      if(t==-1)
      {
        swap(a[n-2],a[n-1]);
      }
      else
      {
          int in=0;
          for(int i=t1+1;i<n;i++)
          {
              if(a[i]==t)
              {
                in=i;
              }
          }
          swap(a[t1],a[in]);
      }
      for(int i=0;i<n;i++)
      {
        cout<<a[i]<<" ";
      }
    }
    else
    {
     for(int i=0;i<n;i++)
     {
        cout<<a[i]<<" ";
     }
    }
}